Bug 438700 - Need an AMQP client command line tool
Need an AMQP client command line tool
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: messaging-bugs
Frantisek Reznicek
Depends On:
  Show dependency treegraph
Reported: 2008-03-24 12:08 EDT by Justin Ross
Modified: 2015-11-15 19:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Justin Ross 2008-03-24 12:08:50 EDT
We have APIs for AMQP client operations, but we don't have a command line
interface for performing such operations from a shell environment.

I propose we introduce something like the following.  This is just a braindump,
so I invite your comments.

$ qpid-client queue.declare --name q0 --durable
$ qpid-client exchange.declare --name e0
$ qpid-client queue.bind --name q0 --exchange e0 --binding-key a.b.c
$ qpid-client message.transfer ...
  qpid-client <class>.<method> <arg0>...<argN>

This tool would speak AMQP and nothing else.  It should probably be written in
C++, to avoid extra dependencies in restricted deployments.

The wiring commands are the first priority, since they are needed by JMS users.
Comment 1 Mike Bonnet 2008-05-16 11:08:47 EDT
qpidc-0.2.656926-1.el5 and qpidd-0.2.656926-1.el5 have been pushed to the staging repo for testing
Comment 2 Frantisek Reznicek 2009-04-21 09:02:09 EDT
Tools qpid-config, qpid-tool (and qpid-route, ...) serve for those purposes (python-qpid package).

Implemented as of 21st June 2009 and going to be in MRG 1.1.1 release:
  python-qpid-0.5.752581-1.el5 and python-qpid-0.5.760500-2.el4


Note You need to log in before you can comment on or make changes to this bug.